/* Copyright 1994 GROUPE BULL -- See license conditions in file COPYRIGHT */
/* $Id: GaugeP.h,v 1.3 94/11/30 16:48:14 leon Exp $ */
#ifndef __GAUGEP_H
#define __GAUGEP_H


#include <Xm/PrimitiveP.h>
#include "Gauge.h"


typedef struct {
    int empty;
} XmGaugeClassPart;

typedef struct _XmGaugeClassRec {    
    CoreClassPart	        core_class;
    XmPrimitiveClassPart	primitive_class;
    XmGaugeClassPart	        gauge_class;
} XmGaugeClassRec;


typedef struct _XmGaugePart{
    int value;
    int minimum;
    int maximum;
    unsigned char orientation;
    unsigned char processingDirection;
    Dimension troughShadowThickness;

    XtCallbackList dragCallback;
    XtCallbackList valueChangedCallback;
    
    /* private fields */
    Boolean dragging;		/* drag in progress ? */
    int oldx, oldy;
    GC gc;
	GC topGC;
	GC bottomGC;
} XmGaugePart;


typedef struct _XmGaugeRec {
    CorePart		core;
    XmPrimitivePart	primitive;
    XmGaugePart	        gauge;
} XmGaugeRec;

extern XmGaugeClassRec xmGaugeClassRec;






#endif /* __GAUGEP_H */
